clear all
set seed 12345
set more off
cd "/Users/Connor/Desktop/School/Michigan 2015/452/Lessons/R2 Demonstration"

program r2demonstration
clear
args n
set obs `n'
gen x = rnormal()
gen epsilon = rchi2(4)
gen y = 2*x+epsilon
gen noise = rnormal(3,1)
reg y x noise
scalar r2noise= e(r2)
scalar b=_b[x]
scalar noisecoeff=_b[noise]
reg y x 
scalar r2=e(r2)
end

*** SIMULATION WITH FOR LOOP TO SHOW 'UNBIASEDNESS' OVER REPEATED SAMPLES FROM DATASETS OF VARYING SIZE
*** AVERAGES COMPUTED OVER ALL BETA HATS
forvalues i=5(1)100 {
simulate b=b noise=noisecoeff r2noise=r2noise r2=r2, reps(1000): r2demonstration `i'
summarize b
scalar b`i'=r(mean)
summarize noise
scalar noise`i'=r(mean)
summarize r2
scalar r2`i'=r(mean)
summarize r2noise
scalar r2noise`i'=r(mean)
}

*** FILLING DATASET WITH RELEVANT VALUES
clear
set obs 1000
gen b=.
gen noise=.
gen r2=.
gen r2noise=.
gen btrue=2
gen noisetrue=0
gen nvals=_n

forvalues i=5(1)100 {
replace b= b`i' if nvals==`i'
replace r2= r2`i' if nvals==`i'
replace r2noise= r2noise`i' if nvals==`i'
replace noise= noise`i' if nvals==`i'
}
drop if b==.
save "r2andnoise.dta", replace


label var b "Beta 1 (Hat)"
label var btrue "Beta 1 (True)"
label var r2 "R2 (W/ Unrelated Variable)"
label var noise "Beta 2 (Hat)"
label var noisetrue "Beta 2 (True)"
label var r2noise "R2 (W/O Unrelated Variable)"

twoway line b btrue nvals, ylabel(1.5(.1)2.5) scheme(s1mono) ytitle("Value of Beta")
graph export b.eps, replace

twoway line noise noisetrue nvals, ylabel(-.5(.1).5) scheme(s1mono) ytitle("Value of Beta")
graph export noise.eps, replace

twoway line r2 r2noise nvals, ylabel(0(.1).8) scheme(s1mono) ytitle("Value of R2")
graph export noise.eps, replace




clear
*** SIMULATION WITH FOR LOOP TO SHOW 'UNBIASEDNESS' OVER REPEATED SAMPLES FROM DATASETS OF VARYING SIZE
*** AVERAGES COMPUTED OVER ALL BETA HATS
forvalues i=5(1)800 {
set seed 12345
r2demonstration `i'
scalar b`i'=b
scalar noise`i'=noisecoeff
scalar r2`i'=r2
scalar r2noise`i'=r2noise
}

*** FILLING DATASET WITH RELEVANT VALUES
clear
set obs 2000
gen b=.
gen noise=.
gen r2=.
gen r2noise=.
gen btrue=2
gen noisetrue=0
gen nvals=_n

forvalues i=5(1)800 {
replace b= b`i' if nvals==`i'
replace r2= r2`i' if nvals==`i'
replace r2noise= r2noise`i' if nvals==`i'
replace noise= noise`i' if nvals==`i'
}

drop if b==.
save "r2andnoiseconsistent.dta", replace

twoway line b btrue nvals, ylabel(-4(1)6) scheme(s1mono) ytitle("Value of Beta")
twoway line noise noisetrue nvals, ylabel(-4(1)3) scheme(s1mono) ytitle("Value of Beta")
graph export noisecoeff.eps, replace

