****** SECTION 10: STATA PRACTICE (10)
clear all
cd "C:\Users\colecp\Desktop\"
use "Economics 452 Fall 2015 NLSY97 Data Stata 13 Format.dta", clear


****** INCLUDING SQUARES
***** REGRESS PRETAXLABORINCOME ON AGE AND HIGHESTGRADE
regress pretaxlaborincome age highestgrade

***** COMPUTE MARGINAL EFFECT OF AGE ON PRETAXLABORINCOME IF AGE=22 AND HIGHESTGRADE=16
margins, dydx(age) at(highestgrade=16 age=22)

***** COMPUTE MARGINAL EFFECT OF AGE ON PRETAXLABORINCOME IF AGE=23 AND HIGHESTGRADE=16
margins, dydx(age) at(highestgrade=16 age=23)

***** REGRESS PRETAXLABORINCOME ON AGE, HIGHESTGRADE AND AGE-SQUARED
generate agesq=age^2
regress pretaxlaborincome age agesq highestgrade

***** TEST WHETHER OR NOT THE EFFECT OF AGE IS LINEAR (ALONE)
test (agesq=0)

***** TEST WHETHER OR NOT AGE BELONGS IN THE MODEL AT ALL
test (age=0) (agesq=0)
test (age=agesq=0)

***** COMPUTE MARGINAL EFFECT OF AGE ON PRETAXLABORINCOME IF AGE=22 AND HIGHESTGRADE=16
regress pretaxlaborincome age c.age#c.age highestgrade

***** COMPUTE MARGINAL EFFECT OF AGE ON PRETAXLABORINCOME IF AGE=23 AND HIGHESTGRADE=16
margins, dydx(age) at(highestgrade=16 age=22)
margins, dydx(age) at(highestgrade=16 age=23)


****** INCLUDING INTERACTION TERMS
***** GENERATE A VARIABLE MEASURING INTERACTION OF AGE AND EDUCATION
generate ageinteract = age*highestgrade

***** TEST IF THERE IS AN INTERACTION BETWEEN AGE AND EDUCATION IN INCOME
regress pretaxlaborincome age highestgrade ageinteract

***** GENERATE A VARIABLE MEASURING THE INTERACTION OF SEX AND EDUCATION 
generate sexnew =.
replace sexnew=0 if sex==1
replace sexnew=1 if sex==2

***** TEST IF THERE IS AN INTERACTION BETWEEN SEX AND EDUCATION IN INCOME
generate sexinteract=sexnew*highestgrade
regress pretaxlaborincome sexnew highestgrade sexinteract


