****** SECTION 10: STATA PRACTICE (10)

****** INCLUDING SQUARES
***** REGRESS PRETAXLABORINCOME ON AGE AND HIGHESTGRADE
regress pretaxlaborincome age highestgrade

***** COMPUTE MARGINAL EFFECT OF AGE ON PRETAXLABORINCOME IF AGE=22 AND HIGHESTGRADE=16
margins, dydx(age) at(age=22 highestgrade=16)

***** COMPUTE MARGINAL EFFECT OF AGE ON PRETAXLABORINCOME IF AGE=23 AND HIGHESTGRADE=16
margins, dydx(age) at(age=23 highestgrade=16)


***** REGRESS PRETAXLABORINCOME ON AGE, HIGHESTGRADE AND AGE-SQUARED
generate agesquared=age^2
regress pretaxlaborincome age agesquared highestgrade 

***** TEST WHETHER OR NOT THE EFFECT OF AGE IS LINEAR (ALONE)
test (agesquared=0)

***** TEST WHETHER OR NOT AGE BELONGS IN THE MODEL AT ALL
test (agesquared=0) (age=0)

***** COMPUTE MARGINAL EFFECT OF AGE ON PRETAXLABORINCOME IF AGE=22 AND HIGHESTGRADE=16
regress pretaxlaborincome age c.age#c.age highestgrade 
margins, dydx(age) at(age=22 highestgrade=16)

***** COMPUTE MARGINAL EFFECT OF AGE ON PRETAXLABORINCOME IF AGE=23 AND HIGHESTGRADE=16
margins, dydx(age) at(age=23 highestgrade=16)


****** INCLUDING INTERACTION TERMS
***** GENERATE A VARIABLE MEASURING INTERACTION OF AGE AND EDUCATION
generate agegrade = age*highestgrade

***** TEST IF THERE IS AN INTERACTION BETWEEN AGE AND EDUCATION IN INCOME
regress pretaxlaborincome age highestgrade agegrade

***** GENERATE A VARIABLE MEASURING THE INTERACTION OF SEX AND EDUCATION 
generate sexgrade=sex*highestgrade

***** TEST IF THERE IS AN INTERACTION BETWEEN SEX AND EDUCATION IN INCOME
regress pretaxlaborincome age highestgrade sexgrade sex
