****** SECTION 11: STATA PRACTICE (11)

clear all
cd "C:\Users\colecp\Desktop\"
use "Economics 452 Fall 2015 NLSY97 Data Stata 13 Format.dta", clear


****** R-BAR SQUARED
***** SET SEED 12345
set seed 12345

***** PRESERVE DATA
preserve

***** RESTRICT ATTENTION TO 20% OF DATA
sample 20

***** REGRESS PRETAXLABORINCOME ON ASVAB, HIGHEST GRADE, SEX 
regress pretaxlaborincome asvab highestgrade sex

***** REGRESS PRETAXLABORINCOME ON ASVAB, HIGHEST GRADE, SEX AND NUMBER OF CHILDREN
regress pretaxlaborincome asvab highestgrade sex numberofchildren

***** COMPARE R SQUARED and R-BAR SQUARED

***** REDERIVE R SQUARED AND R-BAR SQUARED
display (8.6345e+11 -7.2592e+11 )/8.6345e+11
display 1 - (7.2592e+11/(1101-4-1))/(8.6345e+11/(1101-1))

restore


****** LAGRANGE MULTIPLIER TEST
***** USE LM TEST TO TEST INCLUSION OF NUMBER OF CHILDREN VARIABLE IN REGRESSION OF PRETAXLABORINCOME ON ASVAB, HIGHESTGRADE, SEX AND NUMBEROFCHILDREN
drop if numberofchildren==. | highestgrade==.
regress pretaxlaborincome asvabmathverbal_1999 highestgrade sex
predict lmresids, resid
regress lmresids asvabmathverbal_1999 highestgrade sex numberofchildren

display 0.0005*5448
display 1-chi2(1,0.0005*5448)

***** COMPARE RESULTS TO F-TEST OF SAME NULL HYPOTHESIS
test (numberofchildren=0)

***** USE LM TEST TO TEST INCLUSION OF NUMBER OF CHILDREN AND HIGHEST GRADE VARIABLES IN REGRESSION OF PRETAXLABORINCOME ON ASVAB, HIGHESTGRADE, SEX AND NUMBEROFCHILDREN
regress pretaxlaborincome asvabmathverbal_1999 sex
predict lmresids2, resid
regress lmresids2 asvabmathverbal_1999 sex numberofchildren highestgrade 
display 0.0482*5448
display 1-chi2(2,0.0482*5448)

***** COMPARE RESULTS TO F-TEST OF SAME NULL HYPOTHESIS
test (numberofchildren=0) (highestgrade==0)


****** PREDICTION USING TWO METHODS
***** REGRESS PRETAXLABORINCOME ON HIGHESTGRADE AND SEX
regress pretaxlaborincome highestgrade sex

***** PREDICT PRETAXLABORINCOME FOR SOMEONE WITH YOUR CHARACTERISTICS USING HIGHESTGRADE AND SEX
margins, at(highestgrade=16 sex=1)

***** REDERIVE THE PREDICTED VALUE AND THE ASSOCIATED STANDARD ERROR USING THE METHOD FROM CLASS
generate highestgradenew=highestgrade-16
generate sexnew=sex-1
regress pretaxlaborincome highestgradenew sexnew

****** STANDARD ERRORS WITH PREDICTIONS
***** REGRESS PRETAXLABORINCOME ON HIGHESTGRADE, SEX AND AGE
regress pretaxlaborincome highestgrade sex age
predict predictedinc, xb
list predictedinc if highestgrade==6 & age==30 & sex==2

**** GENERATE STANDARD ERRORS FOR THE CONDITIONAL MEAN PREDICTION AND FOR THE FORECAST FOR INDIVIDUAL OBSERVATIONS
predict conditionalmeanerror, stdp
predict forecasterror, stdf
list predictedinc conditionalmeanerror forecasterror if highestgrade==6 & age==30 & sex==2
margins, at(highestgrade=6 age=30 sex=2)

**** LIST THE TWO STANDARD ERRORS IF HIGHESTGRADE=6, AGE=30 AND SEX=2

**** REDERIVE THE FORECAST STANDARD ERROR
display (938.9787^2 +590742310  ) ^.5

****** XTILE AND SUBGROUPS
****** CREATE VARIABLE RECORDING 5 QUANTILES OF HIGHEST GRADE
xtile highestgradepercent = highestgrade, nquantiles(5)

****** GENERATE DUMMY VARIABLES DEFINING THE CATEGORIES
tabulate highestgradepercent, generate(highgradecat)

****** REGRESS PRETAXLABORINCOME ON THE CATEGORIES
regress pretaxlaborincome highgradecat2 highgradecat3 highgradecat4 highgradecat5
regress pretaxlaborincome highgradecat2 - highgradecat5
regress pretaxlaborincome i.highestgradepercent

****** INTERPRET THE MEANING ON THE COEFFICIENT ON THE 'HIGHEST GRADE PERCENT =4' DUMMY
mean pretaxlaborincome if highgradecat4==1
margins, at(highgradecat4=1 highgradecat2=0 highgradecat3=0 highgradecat5=0)

