****** SECTION 11: STATA PRACTICE (11)


****** R-BAR SQUARED
***** SET SEED 12345
set seed 12345

***** PRESERVE DATA
preserve

***** RESTRICT ATTENTION TO 20% OF DATA
sample 20

***** REGRESS PRETAXLABORINCOME ON ASVAB, HIGHEST GRADE, SEX 
reg pretaxlaborincome asvabmathverbal_1999 highestgrade sex

***** REGRESS PRETAXLABORINCOME ON ASVAB, HIGHEST GRADE, SEX AND NUMBER OF CHILDREN
reg pretaxlaborincome asvabmathverbal_1999 highestgrade sex numberofchildren

***** COMPARE R SQUARED and R-BAR SQUARED

***** REDERIVE R SQUARED AND R-BAR SQUARED
disp 1.3753e+11  / 8.6345e+11
disp 1- ( 7.2592e+11 /(1101-4-1))  / (8.6345e+11/(1101-1))
disp 1- ( 7.2592e+11 /(1101-4-1))  / (8.6345e+11/(1101-1))



****** LAGRANGE MULTIPLIER TEST
***** USE LM TEST TO TEST INCLUSION OF NUMBER OF CHILDREN VARIABLE IN REGRESSION OF PRETAXLABORINCOME ON ASVAB, HIGHESTGRADE, SEX AND NUMBEROFCHILDREN
drop if numberofchildren==. | highestgrade==.
regress pretaxlaborincome asvabmathverbal_1999 highestgrade sex
predict lmresids, resid
regress lmresids asvabmathverbal_1999 highestgrade sex numberofchildren

display 0.0005*5448
display 1-chi2(1,0.0005*5448)

***** COMPARE RESULTS TO F-TEST OF SAME NULL HYPOTHESIS
test (numberofchildren=0)

***** USE LM TEST TO TEST INCLUSION OF NUMBER OF CHILDREN AND HIGHEST GRADE VARIABLES IN REGRESSION OF PRETAXLABORINCOME ON ASVAB, HIGHESTGRADE, SEX AND NUMBEROFCHILDREN
regress pretaxlaborincome asvabmathverbal_1999 sex
predict lmresids2, resid
regress lmresids2 asvabmathverbal_1999 sex numberofchildren highestgrade 
display 0.0482*5448
display 1-chi2(2,0.0482*5448)

***** COMPARE RESULTS TO F-TEST OF SAME NULL HYPOTHESIS
test (numberofchildren=0) (highestgrade==0)


****** PREDICTION USING TWO METHODS
***** REGRESS PRETAXLABORINCOME ON HIGHESTGRADE AND SEX
regress pretaxlaborincome highestgrade sex

***** PREDICT PRETAXLABORINCOME FOR SOMEONE WITH YOUR CHARACTERISTICS USING HIGHESTGRADE AND SEX
margins, at(highestgrade=16 sex=1)

***** REDERIVE THE PREDICTED VALUE AND THE ASSOCIATED STANDARD ERROR USING THE METHOD FROM CLASS
gen highestgrade_adj = highestgrade-16
gen sex_adj= sex-1
reg pretaxlaborincome highestgrade_adj sex_adj

****** STANDARD ERRORS WITH PREDICTIONS
***** REGRESS PRETAXLABORINCOME ON HIGHESTGRADE, SEX AND AGE
regress pretaxlaborincome sex age highestgrade

**** GENERATE STANDARD ERRORS FOR THE CONDITIONAL MEAN PREDICTION AND FOR THE FORECAST FOR INDIVIDUAL OBSERVATIONS
predict standardmeanerror, stdp
predict standardforecasterror, stdf

**** LIST THE TWO STANDARD ERRORS IF HIGHESTGRADE=6, AGE=30 AND SEX=2
list standardmeanerror standardforecasterror if highestgrade==6 & age==30 & sex==2

**** REDERIVE THE FORECAST STANDARD ERROR
margins, at(highestgrade=6 age=30 sex=2)
 disp (938.97^2+24305^2)^.5

****** XTILE AND SUBGROUPS
****** CREATE FIVE CATEGORIES FOR QUANTILES FOR HIGHESTGRADE
xtile highestgradepercent = highestgrade, nquantiles(5)

****** GENERATE DUMMY VARIABLES DEFINING THE CATEGORIES
tab highestgradepercent, gen(highgradcat)

****** REGRESS PRETAXLABORINCOME ON THE CATEGORIES
reg pretaxlaborincome highgradcat2 highgradcat3 highgradcat4 highgradcat5
regress pretaxlaborincome highgradcat2-highgradcat5
regress pretaxlaborincome ib1.highestgradepercent, baselevels
