****** SECTION 12: STATA PRACTICE (12)

***** HISTOGRAMS
***** COMPUTE A HISTOGRAM OF PRETAXLABOR INCOME FOR ALL OBSERVATIONS
histogram pretaxlaborincome

***** COMPUTE A KERNEL DENSITY ESTIMATE OF PRETAXLABOR INCOME FOR ALL OBSERVATIONS
kdensity pretaxlaborincome

***** COMPUTE A HISTOGRAM OF PRETAXLABOR INCOME FOR ALL OBSERVATIONS SEPARATELY BY SEX
histogram pretaxlaborincome, by(sex)


***** SCATTER PLOTS
**** RUN A SCATTER PLOT OF PRETAXLABORINCOME BY HIGHESTGRADE
twoway (scatter pretaxlaborincome highestgrade)

**** RUN A SCATTER PLOT OF PRETAXLABORINCOME BY HIGHESTGRADE SEPARATELY BY SEX
twoway (scatter pretaxlaborincome highestgrade), by(sex)

**** RUN A SCATTER PLOT OF PRETAXLABORINCOME BY HIGHESTGRADE AND INCLUDE THE FITTED REGRESSION LINE
twoway (scatter pretaxlaborincome highestgrade) (lfit pretaxlaborincome highestgrade), by(sex)


***** LINE GRAPHS
**** COMPUTE THE MEAN OF EARNINGS BY HIGHESTGRADE
bysort highestgrade: egen meanincome=mean(pretaxlaborincome)
twoway (line meanincome highestgrade)

**** COMPUTE THE MEAN OF EARNINGS BY HIGHESTGRADE SEPARATELY BY SEX
bysort sex highestgrade: egen meanincomesex = mean(pretaxlaborincome)

**** PLOT MEAN OF EARNINGS BY HIGHESTGRADE SEPARATELY BY SEX IN SEPARATE GRAPHS
twoway (line meanincomesex highestgrade), by(sex)

**** PLOT MEAN OF EARNINGS BY HIGHESTGRADE SEPARATELY BY SEX ON THE SAME GRAPH
generate meanincomesexmale = meanincomesex if sex==1
generate meanincomesexfemale = meanincomesex if sex==2
twoway (line meanincomesexmale highestgrade) (line meanincomesexfemale highestgrade)

**** FORMAT THE PREVIOUS GRAPH TO BE EASIER TO UNDERSTAND
label variable meanincomesexmale "Male"
label variable meanincomesexfemale "Female"
twoway (line meanincomesexmale highestgrade) (line meanincomesexfemale highestgrade), title("Mean Incomes By Highestgrade for Men and Women")
