******* SECTION 13: STATA PRACTICE (13)

clear all
cd "C:\Users\colecp\Desktop\"
use "Economics 452 Fall 2015 NLSY97 Data Stata 13 Format.dta", clear


****** LINEAR PROBABILITY MODELS AND HETEROSKEDASTICITY

***** REGRESS HIGHESTGRADE ON HIGHESTGRADE_MOTHER, HIGHESTGRADE_FATHER, DELINQUENCY, AND ASVAB
regress highestgrade highestgrade_mother highestgrade_father asvabmath delinquency_1997

***** PREDICT RESIDUALS AND DRAW A HISTOGRAM OF THE RESIDUALS FROM THE REGRESSION
predict residualgrade, resid
histogram residualgrade, title("Residuals of Grade") scheme(s2mono)


***** BREUSCH-PAGAN TEST OF HETEROSKEDASTICITY
**** IMPLEMENT TEST WITH LONG HAND
generate residgradesq=residualgrade^2
regress residgradesq highestgrade_mother highestgrade_father asvabmath delinquency_1997
test (highestgrade_mother=0) (highestgrade_father=0) (asvabmathverbal=0) (delinquency_1997=0)

**** IMPLEMENT TEST HARD CODED
regress highestgrade highestgrade_mother highestgrade_father asvabmath delinquency_1997
estat hettest, fstat rhs

***** ALTERNATE TEST OF HETEROSKEDASTICITY
**** IMPLEMENT TEST LONGHAND
regress highestgrade highestgrade_mother highestgrade_father asvabmath delinquency_1997
predict highestgradehat, xb
generate highestgradehatsq= highestgradehat^2
regress residgradesq highestgradehat highestgradehatsq
test (highestgradehat=0) (highestgradehatsq=0)

***** ROBUST STANDARD ERRORS
**** RUN REGRESSION ABOVE WITH ROBUST STANDARD ERRORS, COMPARE RESULTS TO REGRESSION WITHOUT ROBUST STANDARD ERRORS
regress highestgrade highestgrade_mother highestgrade_father asvabmath delinquency_1997
regress highestgrade highestgrade_mother highestgrade_father asvabmath delinquency_1997, vce(robust)

***** GENERATE A NEW VARIABLE MEASURING WHETHER OR NOT AN INDIVIDUAL IS A COLLEGE GRADUATE
generate collegegrade=.
replace collegegrade=1 if highestdegree>=4
replace collegegrade=0 if highestdegree<4

***** REGRESS THE VARIABLE MEASURING COLLEGE GRADUATION ON THE SAME CONTROLS AS BEFORE
regress collegegrade highestgrade_mother highestgrade_father asvabmath delinquency_1997

***** PREDICT RESIDUALS AND DRAW A HISTOGRAM OF THE RESIDUALS FROM THE REGRESSION
predict residcollege, resid
histogram residcollege
histogram residcollege, by(delinquency)

***** PREDICT EXPECTED PROBABILITIES 
predict expectprob, xb

***** CALCULATE SHARE OF PREDICTED EXPECTED PROBABILITIES OUTSIDE OF 0,1
generate outside=.
replace outside=0 if inrange(expectprob, 0,1)
replace outside=1 if !inrange(expectprob, 0,1)
replace outside=. if expectprob==.
mean outside

****** BREUSCH-PAGAN  TEST OF HETEROSKEDASTICITY
***** IMPLEMENT TEST HARD CODED
regress collegegrade highestgrade_mother highestgrade_father asvabmath delinquency_1997
estat hettest, fstat rhs

***** ROBUST STANDARD ERRORS
**** RUN REGRESSION ABOVE WITH ROBUST STANDARD ERRORS, COMPARE RESULTS TO REGRESSION WITHOUT ROBUST STANDARD ERRORS
regress collegegrade highestgrade_mother highestgrade_father asvabmath delinquency_1997, vce(robust)

