****** SECTION 13: STATA PRACTICE (13)

****** LINEAR PROBABILITY MODELS AND HETEROSKEDASTICITY

***** REGRESS HIGHESTGRADE ON HIGHESTGRADE_MOTHER, HIGHESTGRADE_FATHER, DELINQUENCY, AND ASVAB
regress highestgrade highestgrade_m highestgrade_f delinquency_1997 asvabmathverbal_1999 

***** PREDICT RESIDUALS AND DRAW A HISTOGRAM OF THE RESIDUALS FROM THE REGRESSION
predict residgrade, resid
histogram residgrade

***** BREUSCH-PAGAN TEST OF HETEROSKEDASTICITY
**** IMPLEMENT TEST WITH LONG HAND
generate residgradesq=residgrade^2
sum residgradesq
regress residgradesq highestgrade_m highestgrade_f delinquency_1997 asvabmathverbal_1999 
test (highestgrade_m=0) (highestgrade_f=0) (delinquency_1997=0) (asvabmathverbal_1999 )

**** IMPLEMENT TEST HARD CODED
regress highestgrade highestgrade_m highestgrade_f delinquency_1997 asvabmathverbal_1999 
estat hettest, fstat rhs

***** ALTERNATE TEST OF HETEROSKEDASTICITY
**** IMPLEMENT TEST LONGHAND
predict predictedgrade, xb
generate predictedgradesq=predictedgrade^2
regress residgradesq predictedgrade  predictedgradesq
test (predictedgrade=0) (predictedgradesq=0)

***** ROBUST STANDARD ERRORS
**** RUN REGRESSION ABOVE WITH ROBUST STANDARD ERRORS, COMPARE RESULTS TO REGRESSION WITHOUT ROBUST STANDARD ERRORS
regress residgradesq highestgrade_m highestgrade_f delinquency_1997 asvabmathverbal_1999 
regress highestgrade highestgrade_m highestgrade_f delinquency_1997 asvabmathverbal_1999, vce(robust)

***** GENERATE A NEW VARIABLE MEASURING WHETHER OR NOT AN INDIVIDUAL IS A COLLEGE GRADUATE
generate collegegrade=.
replace collegegrade=1 if highestdegree>=4
replace collegegrade=0 if highestdegree<4

***** REGRESS THE VARIABLE MEASURING COLLEGE GRADUATION ON THE SAME CONTROLS AS BEFORE
reg collegegrade highestgrade_m highestgrade_f delinquency_1997 asvabmathverbal_1999

***** PREDICT RESIDUALS AND DRAW A HISTOGRAM OF THE RESIDUALS FROM THE REGRESSION
predict residcollege, resid
histogram residcollege
histogram residcollege, by(collegegrade)
histogram residcollege, by(delinquency_1997)

***** PREDICT EXPECTED PROBABILITIES 
predict predictedprob, xb

***** CALCULATE SHARE OF PREDICTED EXPECTED PROBABILITIES OUTSIDE OF 0,1
generate outside=.
replace outside=1 if !inrange(predictedprob, 0,1)
replace outside=0 if inrange(predictedprob, 0,1)
mean outside

****** BREUSCH-PAGAN  TEST OF HETEROSKEDASTICITY
***** IMPLEMENT TEST HARD CODED
reg collegegrade highestgrade_m highestgrade_f delinquency_1997 asvabmathverbal_1999
estat hettest, fstat rhs

***** ROBUST STANDARD ERRORS
**** RUN REGRESSION ABOVE WITH ROBUST STANDARD ERRORS, COMPARE RESULTS TO REGRESSION WITHOUT ROBUST STANDARD ERRORS
reg collegegrade highestgrade_m highestgrade_f delinquency_1997 asvabmathverbal_1999
reg collegegrade highestgrade_m highestgrade_f delinquency_1997 asvabmathverbal_1999, vce(robust)


