****** SECTION 2: STATA PRACTICE (2)

clear all
cd "C:\Users\colecp\Desktop\"
use "Economics 452 Fall 2015 NLSY97 Data.dta"

***** CONDITIONING STATEMENTS (CONTINUED)
summarize pretaxlaborincome if race==2 & maritalstatus==2

***** DROPPING OBSERVATIONS
browse
drop if pretaxlaborincome==.

****** VARIABLE MANAGEMENT

***** GENERATING A VARIABLE
generate totalyrschoolparents= highestgrade_mother + highestgrade_father

***** DROPPING A VARIABLE
drop totalyrschoolparents

***** REPLACING A VARIABLE
summarize pretaxlaborincome
generate earnings=.
replace earnings=0 if pretaxlaborincome<26499.7
replace earnings=1 if pretaxlaborincome>=26499.7
tabulate earnings

***** ADDING VALUE LABELS TO A VARIABLE
label define earningslabel 0 "Below Mean Earnings" 1 "Above Mean Earnings"
label value earnings earningslabel
tabulate earnings
tabulate earnings, nolabel

***** EGEN COMMAND
egen medianmothereducation = pctile(highestgrade_mother), p(50)
browse

****** BASIC STATISTICAL TOOLS

***** T-TEST FOR MEANS FOR ONE VARIABLE BY SUBGROUP
ttest pretaxlaborincome, by(sex)


