****** SECTION 2: STATA PRACTICE (2)


****** MENTION COMMENTS!
***** OPENING A DATA SET
clear all
cd 

use "Economics 452 Fall 2015 NLSY97 Data.dta"

**** REVIEW: AND / OR OPERATORS FOR MULTIPLE CONDITION
*%%%% INSTRUCTOR DOES - (HISPANIC AND NEVER MARRIED & NOT COHABITATING)
summarize pretaxlaborincome if race==2 & maritalstatus==2
*%%%% STUDENTS DO - HISPANIC AND NON-BLACK

summarize pretaxlaborincome if race==2 | race==4



**** THREE CONDITIONS
*%%%% STUDENTS DO - (HISPANIC, NEVER MARRIED & NOT COHABITATING ) OR NON-BLACK, NON-HISPANIC
summarize pretaxlaborincome if (race==2 & maritalstatus==2) | race==4

***** DROPPING OBSERVATIONS
drop if pretaxlaborincome==.




****** VARIABLE MANAGEMENT
***** GENERATING A VARIABLE
gen totalyrsschoolparents = highestgrade_father+highestgrade_mother
***** DROPPING A VARIABLE
drop totalyrsschoolparents

***** REPLACING A VARIABLE
sum pretaxlaborincome
*%%% 26499.7
*%%% NOTE ABOUT PRETAXLABORINCOME!
gen earnings=.
replace earnings=0 if pretaxlaborincome<26499.7
replace earnings=1 if pretaxlaborincome>=26499.7

***** ADDING VALUE LABELS TO A VARIABLE
label define earningslabels 0 "Below Mean Earnings" 1 "Above Median Earnings" 
label value earnings earningslabels 
tab earnings

***** EGEN COMMAND
drop if highestgrade_mother==.
egen medianmothered = pctile(highestgrade_mother), p(50)
***** SHOW WHAT EGEN COMMAND LOOKS LIKE
browse


*%%% STUDENTS DO
gen motheredmed=.
replace motheredmed=0 if highestgrade_mother<=medianmothered
replace motheredmed=1 if highestgrade_mother>medianmothered
label define motheredmedlabel 0 "Below Mean Mother's Ed" 1 "Above Median Mother's Ed" 
label value motheredmed motheredmedlabel

*%%%% SHOULD BE EVEN IN BOTH
tabulate motheredmed
*%%%% WHY NOT?
histogram highestgrade_mother


****** BASIC STATISTICAL TOOLS

***** T-TEST FOR MEAN FOR ONE VARIABLE
ttest highestgrade==12
