****** SECTION 3: STATA PRACTICE (3)

clear all
cd "C:\Users\colecp\Desktop\"
use "Economics 452 Fall 2015 NLSY97 Data.dta"


****** VARIABLE MANAGEMENT (REVIEW)

***** EGEN COMMAND (REVIEW)
**** CREATE A VARIABLE THAT FOR EACH OBSERVATION CODES THE 50TH PERCENTILE OF MOTHER'S EDUCATION
egen medianmothered = pctile(highestgrade_mother), p(50)
browse

**** CREATE A 'DUMMY' VARIABLE FOR INDIVIDUALS WITH MOTHERS WITH EDUCATION BELOW MEDIAN (0) AND ABOVE MEDIAN (1)
drop if highestgrade_mother==.
gen motheredmed = .
replace motheredmed = 0 if highestgrade_mother<=medianmothered
replace motheredmed = 1 if highestgrade_mother>medianmothered

**** LABEL THE NEW DUMMY VARIABLE
label define motheredmedlabel 0 "Below Median Mother Ed" 1 "Above Median Mother Ed"
label value motheredmed motheredmedlabel

**** HOW MANY OBSERVATIONS ARE IN EACH OF THE DUMMY VARIABLE CATEGORIES?




****** BASIC STATISTICAL TOOLS

***** CORRELATIONS
**** CORRELATE EDUCATION OF RESPONDENTS' MOTHERS AND FATHERS
correlate highestgrade_father highestgrade_mother

**** CORRELATE EDUCATION OF RESPONDENTS WITH EDUCATION OF RESPONDENTS' MOTHERS AND FATHERS
correlate highestgrade_father highestgrade_mother highestgrade


***** COVARIANCES
**** COVARIANCE EDUCATION OF RESPONDENTS WITH EDUCATION OF RESPONDENTS' MOTHERS AND FATHERS
correlate highestgrade_father highestgrade_mother highestgrade, covariance


***** T-TEST FOR MEAN FOR ONE VARIABLE
**** TEST THAT THE MEAN OF HIGHEST GRADE OF EDUCATION FOR ALL RESPONDENTS IS 12
ttest highestgrade==12

***** T-TEST FOR MEANS FOR ONE VARIABLE BY SUBGROUP
**** TEST THAT MEAN OF HIGHEST GRADE OF EDUCATION IS EQUAL BY SEX
ttest highestgrade, by(sex)

***** T-TEST FOR MEAN FOR TWO VARIABLES
**** TEST THAT MEAN OF MOTHER'S AND FATHER'S EDUCATION LEVELS ARE THE SAME ACROSS RESPONDENTS


***** FREQUENCY TABLES


**** ESTABLISH NEW VARIABLE CALLED 'NEW DELINQUENCY' TOPCODED AT 4


**** RUN A CHI SQUARED TEST OF THE DUMMY VARIABLE FOR MOTHER'S EDUCATION ABOVE AND BELOW THE MEDIAN AND THE 'NEW DELINQUENCY' VARIABLE
tabulate delinquency_1997 motheredmed
tabulate delinquency_1997 motheredmed, chi2










