****** SECTION 2: STATA PRACTICE (2)


****** MENTION COMMENTS!
***** OPENING A DATA SET
clear all
cd 

use "Economics 452 Fall 2015 NLSY97 Data.dta"


****** VARIABLE MANAGEMENT

***** EGEN COMMAND (REVIEW)
**** CREATE A VARIABLE THAT FOR EACH OBSERVATION CODES THE 50TH PERCENTILE OF MOTHER'S EDUCATION
drop if highestgrade_mother==.
egen medianmothered = pctile(highestgrade_mother), p(50)

***** SHOW WHAT EGEN COMMAND LOOKS LIKE
browse

**** CREATE A 'DUMMY' VARIABLE FOR INDIVIDUALS WITH MOTHERS WITH EDUCATION BELOW MEDIAN (0) AND ABOVE MEDIAN (1)
*%%% STUDENTS DO
gen motheredmed=.
replace motheredmed=0 if highestgrade_mother<=medianmothered
replace motheredmed=1 if highestgrade_mother>medianmothered

**** LABEL THE NEW DUMMY VARIABLE
label define motheredmedlabel 0 "Below Mean Mother's Ed" 1 "Above Median Mother's Ed" 
label value motheredmed motheredmedlabel

**** HOW MANY OBSERVATIONS ARE IN EACH OF THE DUMMY VARIABLE CATEGORIES?
*%%%% SHOULD BE EVEN IN BOTH
tabulate motheredmed
*%%%% WHY NOT?
histogram highestgrade_mother



****** BASIC STATISTICAL TOOLS

***** CORRELATIONS
**** CORRELATE EDUCATION OF RESPONDENTS' MOTHERS AND FATHERS
correlate highestgrade_mother highestgrade_father

**** CORRELATE EDUCATION OF RESPONDENTS WITH EDUCATION OF RESPONDENTS' MOTHERS AND FATHERS
correlate highestgrade_mother highestgrade_father highestgrade

***** COVARIANCES
**** COVARIANCE EDUCATION OF RESPONDENTS WITH EDUCATION OF RESPONDENTS' MOTHERS AND FATHERS
correlate highestgrade_mother highestgrade_father highestgrade, covariance

***** T-TEST FOR MEAN FOR ONE VARIABLE
**** TEST THAT THE MEAN OF HIGHEST GRADE OF EDUCATION FOR ALL RESPONDENTS IS 12
ttest highestgrade==12

***** T-TEST FOR MEANS FOR ONE VARIABLE BY SUBGROUP
**** TEST THAT MEAN OF HIGHEST GRADE OF EDUCATION IS EQUAL BY SEX
ttest highestgrade, by(sex)
ttest highestgrade, by(sex) unequal

***** T-TEST FOR MEAN FOR TWO VARIABLES
**** TEST THAT MEAN OF MOTHER'S AND FATHER'S EDUCATION LEVELS ARE THE SAME ACROSS RESPONDENTS
ttest highestgrade_mother==highestgrade_father

***** FREQUENCY TABLES

tabulate delinquency_1997

**** ESTABLISH NEW VARIABLE CALLED 'NEW DELINQUENCY' TOPCODED AT 4
gen newdelinquency=delinquency_1997
tab newdelinquency
replace newdelinquency=4 if newdelinquency>=4
tab  delinquency_1997 newdelinquency

**** RUN A CHI SQUARED TEST OF THE DUMMY VARIABLE FOR MOTHER'S EDUCATION ABOVE AND BELOW THE MEDIAN AND THE 'NEW DELINQUENCY' VARIABLE

*%%%% CHI SQUARED TESTS
tab delinquency sex
tab delinquency sex, row col cell
tab delinquency sex, row col cell chi2
tab delinquency sex, col nofreq chi2

