*** UNBIASEDNESS OF BETA HAT

clear all
set seed 123

program define betahatunbiased
clear
args q
set obs `q'
gen x = rnormal(1,1)
gen epsilon= rnormal()
gen y = 2*x+1+epsilon
reg y x
matrix b = e(b)
scalar b1 = b[1,1]
scalar b2 = b[1,2]
matrix V = e(V)
scalar seb1`i' = V[1,1]^.5
scalar seb2`i' = V[2,2]^.5
summarize x
scalar setrue1= (1/((`q'-1)*r(sd)^2))^.5
end

forvalues i=5(2)51 {
simulate bhat1=b1 bhat2=b2 sehat1=seb1 setrue1=setrue1, reps(500): betahatunbiased `i'
summarize bhat1
scalar b1hat`i'=r(mean)
summarize bhat2
scalar b2hat`i'=r(mean)
summarize sehat1
scalar se1hat`i'=r(mean)
summarize setrue1
scalar se1true`i'=r(mean)
}

clear
set obs 1000
gen b1hat=.
gen b1true=2
gen se1hat=.
gen se1true=.

gen nvals=_n

forvalues i=5(2)51 {
replace b1hat= b1hat`i' if nvals==`i'
replace se1hat= se1hat`i' if nvals==`i'
replace se1true= se1true`i' if nvals==`i'
}

drop if b1hat==.

twoway line se1hat se1true nvals, ylabel(0(.1).8)
twoway line b1hat b1true nvals, ylabel(1.6(.1)2.6)







clear all
quietly forvalues i=5/500 {
clear
set seed 123
*set obs `i'
set obs `i'
gen x = rnormal(1,1)
gen epsilon= rnormal()
gen y = 2*x+1+epsilon
reg y x
matrix b = e(b)
scalar b1`i' = b[1,1]
scalar b2`i' = b[1,2]
matrix V = e(V)
scalar seb1`i' = V[1,1]^.5
scalar seb2`i' = V[2,2]^.5
summarize x
scalar setrue1`i'= (1/((`i'-1)*r(sd)^2))^.5
}

clear

set obs 500
gen b1=.
gen b2=.
gen seb1=.
gen setrue1=.
gen seb2=.

gen nvals=_n

quietly forvalues i=5/500 {
replace b1=b1`i' if nvals==`i'
replace b2=b2`i' if nvals==`i'
replace seb1=seb1`i' if nvals==`i'
replace setrue1=setrue1`i' if nvals==`i'
replace seb2=seb2`i' if nvals==`i'
}

gen btrue=2
twoway line seb1 setrue1 nvals, ylabel(0(.1).5)

twoway line b1 btrue nvals, ylabel(0(.1).5)





clear all
set seed 123




set obs 500
gen x = rnormal(1,1)
gen epsilon= rnormal()

gen y = 2*x+epsilon

gen eta1 = rnormal(0,2.5)
gen eta2 = rnormal(0,2)

gen xstar1 = x+eta1
gen xstar2 = x+eta2

ivregress 2sls y (xstar1=xstar2)
matrix b = e(b)
scalar bhat1 = b[1,1]
matrix b = e(V)
scalar sebhat1 = b[1,1]
ivregress 2sls y (xstar2=xstar1)
matrix b = e(b)
scalar bhat2 = b[1,1]
matrix b = e(V)
scalar sebhat2 = b[1,1]
scalar cov=1


matrix define W=(sebhat1, cov \  cov, sebhat2)
matrix define W1=inv(W)



mata:
void i_crit(todo, b,crit,G, H) {
external bhat1, bhat2, W1
m=(bhat1 -b  \ bhat2 - b)
crit=(m'*W1*m)
}

S=optimize_init()
optimize_init_evaluator(S, &i_crit())
optimize_init_which(S, "min")
optimize_init_evaluatortype(S,"d0")
init=1
optimize_init_params(S,init)
p=optimize(S)
end
