****** SECTION 4: STATA PRACTICE (4)


***** T-TEST FOR MEANS FOR ONE VARIABLE BY SUBGROUP
**** TEST THAT MEAN OF HIGHEST GRADE OF EDUCATION IS EQUAL BY SEX
ttest highestgrade, by(sex)
ttest highestgrade, by(sex) unequal

***** T-TEST FOR MEAN FOR TWO VARIABLES
**** TEST THAT MEAN OF MOTHER'S AND FATHER'S EDUCATION LEVELS ARE THE SAME ACROSS RESPONDENTS
ttest highestgrade_mother==highestgrade_father

***** FREQUENCY TABLES
tabulate delinquency_1997 sex
tabulate delinquency_1997 sex, row col cell chi2

***** MORE ADVANCED DATA MANAGEMENT TOOLS

***** BYSORT
**** SUMMARIZE PRETAX LABOR INCOME BY SEX
summarize pretaxlaborincome highestgrade if sex==1
summarize pretaxlaborincome highestgrade if sex==2
bysort sex: summarize pretaxlaborincome highestgrade

**** GENERATE A VARIABLE FOR EACH OBSERVATION RECORDING THE RELEVANT STANDARD DEVIATION OF PRE-TAX LABOR INCOME FOR THE RESPONDENT'S SEX
bysort sex: egen sdoflaborincome=sd(pretaxlaborincome)

**** GENERATE A VARIABLE FOR EACH OBSERVATION RECORDING THE RELEVANT MEAN OF PRE-TAX LABOR INCOME FOR THE RESPONDENT'S SEX


***** INRANGE
**** CALCULATE THE MEAN OF PRE-TAX LABOR INCOME FOR RESPONDENTS WITH BETWEEN 12 and 15 YEARS OF EDUCATION
summarize pretaxlaborincome if highestgrade>=12 & highestgrade<=15
summarize pretaxlaborincome if inrange(highestgrade,12,15)

***** INLIST
**** CALCULATE THE MEAN OF JOB-SATISFACTION FOR RESPONDENTS WITH 12 OR 15 or 17 YEARS OF EDUCATION
summarize jobsatisfaction if highestgrade==12 | highestgrade==15 | highestgrade==17
summarize jobsatisfaction if inlist(highestgrade,12,15,17)

****** REGRESSION BASICS
***** REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE
regress pretaxlaborincome highestgrade



