****** SECTION 2: STATA PRACTICE (2)


****** MENTION COMMENTS!
***** OPENING A DATA SET
clear all
cd 

use "Economics 452 Fall 2015 NLSY97 Data.dta"

***** T-TEST FOR MEANS FOR ONE VARIABLE BY SUBGROUP
**** TEST THAT MEAN OF HIGHEST GRADE OF EDUCATION IS EQUAL BY SEX
ttest highestgrade, by(sex)
ttest highestgrade, by(sex) unequal

***** T-TEST FOR MEAN FOR TWO VARIABLES
**** TEST THAT MEAN OF MOTHER'S AND FATHER'S EDUCATION LEVELS ARE THE SAME ACROSS RESPONDENTS
ttest highestgrade_mother==highestgrade_father

***** FREQUENCY TABLES
tab delinquency sex,
tab delinquency sex, row col cell
tab delinquency sex, row col cell chi2
tab delinquency sex, col nofreq chi2



***** MORE ADVANCED DATA MANAGEMENT TOOLS

***** BYSORT
**** SUMMARIZE PRETAX LABOR INCOME BY SEX
tab sex, nol
sort sex
browse
sum pretaxlaborincome highestgrade if sex==1
sum pretaxlaborincome highestgrade if sex==2

bysort sex: sum pretaxlaborincome highestgrade

**** GENERATE A VARIABLE FOR EACH OBSERVATION RECORDING THE RELEVANT STANDARD DEVIATION OF PRE-TAX LABOR INCOME FOR THE RESPONDENT'S SEX
bysort sex: egen sdoflaborincome=sd(pretaxlaborincome)

**** GENERATE A VARIABLE FOR EACH OBSERVATION RECORDING THE RELEVANT MEAN OF PRE-TAX LABOR INCOME FOR THE RESPONDENT'S SEX
bysort sex: egen meanoflaborincome=mean(pretaxlaborincome)
tabulate sdoflaborincome 
tabulate meanoflaborincome

***** INRANGE
**** CALCULATE THE MEAN OF PRE-TAX LABOR INCOME FOR RESPONDENTS WITH BETWEEN 12 and 15 YEARS OF EDUCATION
sum pretaxlaborincome if highestgrade>=12 & highestgrade<=15
sum pretaxlaborincome if inrange(highestgrade,12,15)

***** INLIST
**** CALCULATE THE MEAN OF JOB-SATISFACTION FOR RESPONDENTS WITH 12 OR 15 or 17 YEARS OF EDUCATION
sum pretaxlaborincome if highestgrade==12 | highestgrade==15 | highestgrade==17
sum pretaxlaborincome if inlist(highestgrade,12,15,17)

****** REGRESSION BASICS
***** REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE
regress pretaxlaborincome highestgrade

