****** SECTION 5: STATA PRACTICE (5)

clear all
cd "C:\Users\colecp\Desktop\"
use "Economics 452 Fall 2015 NLSY97 Data Stata 13 Format.dta"


****** USING STATA AS A CALCULATOR
***** MULTIPLY 32 by 5
display 32*5

****** DISPLAY THE TEXT 'HELLO, WORLD!'
display "Hello, World!"

****** REGRESSION BASICS
***** REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE
regress pretaxlaborincome highestgrade

***** DERIVE THE TEST STATISTIC (t) FOR THE COEFFICIENT ON HIGHESTGRADE
display (3268.665-0)/104.4395

***** REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE FOR MEN AND WOMEN SEPARATELY
regress pretaxlaborincome highestgrade if sex==1
regress pretaxlaborincome highestgrade if sex==2
bysort sex: regress pretaxlaborincome highestgrade

***** GENERATE A NEW VARIABLE RECORDING THE YEAR THE SURVEY WAS CONDUCTED - 2011
generate yearsurvey=2011

***** REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE AND YEAR OF SURVEY
regress pretaxlaborincome highestgrade yearsurvey

***** GENERATE A NEW VARIABLE WHERE EDUCATION HAS BEEN 'STANDARDIZED' (SUBTRACT MEAN, DIVIDE BY STANDARD DEVIATION)
egen grademean=mean(highestgrade)
egen gradesd=sd(highestgrade)
generate standardizedgrade = (highestgrade-grademean)/gradesd
summarize standardizedgrade

***** REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE AND STANDARDIZED HIGHESTGRADE
regress pretaxlaborincome highestgrade standardizedgrade

****** OMITTED VARIABLES BIAS EXAMPLE
*****  REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE 
regress pretaxlaborincome highestgrade

*****  REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE AND MOTHER'S EDUCATION
regress pretaxlaborincome highestgrade highestgrade_mother

****** PREDICTING USING REGRESSION OUTPUT
***** PREDICT PRETAXLABORINCOME FOR ALL INDIVIDUALS USING THE PREVIOUS REGRESSION SPECIFICATION
regress pretaxlaborincome highestgrade
predict yhat,xb

***** PREDICT THE RESIDUALS FROM OUR REGRESSION AND SUMMARIZE THE VARIABLE
predict e, residual
summarize e

****** PREDICT PRETAXLABORINCOME FOR A PERSON WITH HIGHESTGRADE=12
margins, at(highestgrade=12)

