****** SECTION 5: STATA PRACTICE (5)



***** OPENING A DATA SET
clear all
cd 
use "Economics 452 Fall 2015 NLSY97 Data.dta"

****** USING STATA AS A CALCULATOR
***** MULTIPLY 32 by 5
display 32*5

****** DISPLAY THE TEXT 'HELLO, WORLD!'
display "Hello World!"

****** REGRESSION BASICS
***** REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE
regress pretaxlaborincome highestgrade 


****%% DISCUSSION SST SSR SSM ETC.
****%% DFs - 5452 TOTAL DEGREES OF FREEDOM, 2 USED BY MODEL IN ESTIMATING PARAMETERS, 1 LESS THAN NUMBER OF OBSERVATIONS DUE TO MEAN
****%% MS IS MEAN SQUARE - SS DIVIDED BY DFS.

****%% F-TEST - NULL HYPOTHESIS ALL COEFFICIENTS OTHER THAN CONSTANT HAVE 0 COEFFICIEN

***** DERIVE THE TEST STATISTIC (t) FOR THE COEFFICIENT ON HIGHESTGRADE
disp (3268.665-0)/104.4395

***** REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE FOR MEN AND WOMEN SEPARATELY
regress pretaxlaborincome highestgrade if sex==1
regress pretaxlaborincome highestgrade if sex==2
bys sex: regress pretaxlaborincome highestgrade 

***** GENERATE A NEW VARIABLE RECORDING THE YEAR THE SURVEY WAS CONDUCTED - 2011
generate year = 2011

***** REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE AND YEAR OF SURVEY
regress pretaxlaborincome highestgrade year

***** GENERATE A NEW VARIABLE WHERE EDUCATION HAS BEEN 'STANDARDIZED' (SUBTRACT MEAN, DIVIDE BY STANDARD DEVIATION)
egen grademean=mean(highestgrade)
egen gradesd=sd(highestgrade)
gen standardized = (highestgrade-grademean)/gradesd
summarize standardized

***** REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE AND STANDARDIZED HIGHESTGRADE
regress pretaxlaborincome highestgrade standardized

****** OMITTED VARIABLES BIAS EXAMPLE

*****  REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE 
regress pretaxlaborincome highestgrade

*****  REGRESS PRETAX LABOR INCOME ON HIGHEST GRADE AND MOTHER'S EDUCATION
regress pretaxlaborincome highestgrade highestgrade_mother


****** PREDICTING USING REGRESSION OUTPUT

***** PREDICT PRETAXLABORINCOME FOR ALL INDIVIDUALS USING THE PREVIOUS REGRESSION SPECIFICATION
predict yhat, xb

***** PREDICT THE RESIDUALS FROM OUR REGRESSION
predict e, residual
summarize e

****** PREDICT PRETAXLABORINCOME FOR A PERSON WITH HIGHESTGRADE=12 AND ASVAB=20000
margins, at(highestgrade=12 asvabmathverbal_1999=20000)
