****** SECTION 6: STATA PRACTICE (6)

clear all
cd "C:\Users\colecp\Desktop\"
use "Economics 452 Fall 2015 NLSY97 Data Stata 13 Format.dta" 

****** REGRESSION INFERENCE, CONTINUED
***** REGRESS YEARS OF EDUCATION OF RESPONDENT ON YEARS OF EDUCATION OF FATHER
regress highestgrade highestgrade_father

***** REDERIVE THE T-STAT AND THE P-VALUES ON 'HIGHESTGRADE_FATHER' IN THE REGRESSION TABLE
display (0.3467-0)/0.011608
display ttail(4604, 29.87)*2

***** TEST HYPOTHESIS THAT COEFFICIENT ON YEARS OF EDUCATION OF FATHER IS 
lincom highestgrade_father-1

***** REDERIVE THE T-STAT AND P-VALUES FROM THIS TEST
display (0.3467-1)/0.011608
display t(4604, -56.27)*2


****** PREDICTING USING REGRESSION OUTPUT, CONTINUED
***** PREDICT PRETAXLABORINCOME FOR A PERSON WITH HIGHESTGRADE=12 AND ASVAB=20000
regress pretaxlaborincome highestgrade asvabmathverbal_1999
margins, at(highestgrade=12 asvabmathverbal=20000)

***** PREDICT PRETAXLABORINCOME FOR A PERSON AT THE MEAN
margins, at((mean))

***** PREDICT PRETAXLABORINCOME FOR A PERSON AT THE 75TH PERCENTILE OF EDUCATION AND THE 50th PERCENTILE OF ASVAB SCORE
margins, at((p75) highestgrade (p50) asvabmathverbal)

***** CALCULATED RESIDUALS FROM REGRESSING PRETAXLABORINCOME ON HIGHESTGRADE AND ASVAB
regress pretaxlaborincome highestgrade
predict residuals, residual

***** CALCULATE PREDICTED PRETAXLABORINCOME FROM REGRESSING PRETAXLABORINCOME ON HIGHESTGRADE AND ASVAB
predict fittedvalues, xb

***** CORRELATE PREDICTED VALUES AND RESIDUAL
correlate fittedvalues residuals

***** CORRELATE HIGHESTGRADE AND RESIDUALS
correlate highestgrade residuals


****** RANDOM VARIABLES IN STATA

***** SET SEED
set seed 12345

***** GENERATE A NEW VARIABLE WITH 'RANDOM' DRAWS FROM A NORMAL DISTRIBUTION WITH MEAN 0 AND STANDARD DEVIATION 3
generate randomnormal=rnormal(0,3)


***** GENERATE A SECOND RANDOM VARIABLE WITH 'RANDOM' DRAWS FROM A t DISTRIBUTION WITH 10 DEGREES OF FREEDOM

***** CORRELATE THE TWO RANDOM VARIABLES

***** RESET SEED AND GENERATE A NEW VARIABLE WITH 'RANDOM' DRAWS FROM A NORMAL DISTRIBUTION WITH MEAN 0 AND STANDARD DEVIATION 3

***** CORRELATE THE TWO 'RANDOM' VARIABLES




****** RUNNING FORVALUES LOOPS IN STATA

***** USE A 'FORVALUES' LOOP TO LIST THE NUMBERS 8-12 CONSECUTIVELY

***** USE A 'FORVALUES' LOOP TO REGRESS PRE TAX LABOR INCOME ON ASVAB SCORE FOR 8TH-12TH GRADES SEPARATELY, AND SUMMARIZE ASVAB SCORES FOR EACH GRADE


****** RUNNING FOREACH LOOPS IN STATA
***** USE A  FOREACH LOOP TO DISPLAY 'HELLO' AND 'WORLD' SEPARATELY

***** USE A FOREACH LOOP TO REGRESS PRETAXLABORINCOME ON HIGHEST GRADE AND ALSO ON ASVAB SCORE AND NUMBER OF CHILDREN SEPARATELY

***** USE A FOREACH LOOP TO REGRESS REGRESS PRE TAX LABOR INCOME ON ASVAB SCORE FOR 8th, 12th AND 16th GRADES SEPARATELY, AND SUMMARIZE ASVAB SCORES FOR EACH GRADE

***** USE A FOREACH LOOP TO REGRESS REGRESS PRE TAX LABOR INCOME ON ASVAB SCORE FOR EVEN GRADES AND GRADE 17 SEPARATELY, AND SUMMARIZE ASVAB SCORES FOR EACH GRADE
