****** SECTION 6: STATA PRACTICE (6)

****** REGRESSION INFERENCE, CONTINUED
***** REGRESS YEARS OF EDUCATION OF RESPONDENT ON YEARS OF EDUCATION OF FATHER
regress highestgrade highestgrade_father

***** REDERIVE THE T-STAT AND THE P-VALUES ON 'HIGHESTGRADE_FATHER' IN THE REGRESSION TABLE
display (.3467 - 0)/0.011608
display 2*ttail(4604,(.3467 - 0)/0.011608)

***** TEST HYPOTHESIS THAT COEFFICIENT ON YEARS OF EDUCATION OF FATHER IS 1
lincom highestgrade_father-1

***** REDERIVE THE T-STAT AND P-VALUES FROM THIS TEST
display (.3467 - 1)/0.011608
display 2*t(4604,(.3467 - 1)/0.011608)


****** PREDICTING USING REGRESSION OUTPUT, CONTINUED
***** PREDICT PRETAXLABORINCOME FOR A PERSON WITH HIGHESTGRADE=12 AND ASVAB=20000
regress pretaxlaborincome highestgrade asvabmathverbal_1999
margins, at(highestgrade=12 asvabmathverbal_1999=20000)

***** PREDICT PRETAXLABORINCOME FOR A PERSON AT THE MEAN
margins, at((mean))

***** PREDICT PRETAXLABORINCOME FOR A PERSON AT THE 75TH PERCENTILE OF EDUCATION AND THE 50th PERCENTILE OF ASVAB SCORE
margins, at((p75) highestgrade (p50) asvabmathverbal_1999)


***** CALCULATED RESIDUALS FROM REGRESSING PRETAXLABORINCOME ON HIGHESTGRADE AND ASVAB
regress pretaxlaborincome highestgrade 
predict residuals, residual

***** CALCULATE PREDICTED PRETAXLABORINCOME FROM REGRESSING PRETAXLABORINCOME ON HIGHESTGRADE AND ASVAB
predict predictedvalues, xb

***** CORRELATE PREDICTED VALUES AND RESIDUAL
correlate residuals predictedvalues

***** CORRELATE HIGHESTGRADE AND RESIDUALS
correlate residuals highestgrade

***%%% COMMENT - THERE IS A ZERO CORRELATION HERE BY CONSTRUCTION! - DOES NOT IMPLY 


***** SET SEED
set seed 12345

***** GENERATE A NEW VARIABLE WITH 'RANDOM' DRAWS FROM A NORMAL DISTRIBUTION WITH MEAN 0 AND STANDARD DEVIATION 3
generate randomnormal=rnormal(0,3)
