****** SECTION 7: STATA PRACTICE (7)

******* DROP IF DELINQUENCY=., HIGHESTGRADE=., HIGHESTGRADE_FATHER=. OR HIGHESTGRADE_MOTHER=.
drop if delinquency_1997==. | highestgrade==. | highestgrade_father==. | highestgrade_mother==.

******* F-TEST
****** REGRESS PRE-TAX LABOR INCOME ON THE DELINQUENCY INDEX AND THE HIGHEST GRADE OF AN INDIVIDUAL AND THE HIGHEST GRADES OF THAT INDIVIDUAL'S PARENTS
regress pretaxlaborincome delinquency_1997 highestgrade highestgrade_father highestgrade_mother
regress pretaxlaborincome delinquency_1997 highestgrade_father highestgrade_mother

****** TEST THAT THE COEFFICIENT ON HIGHESTGRADE IS 0 USING AN F-TEST
test highestgrade=0
display ( 3.0547e+12  -2.8492e+12)/(2.8492e+12  /4018)
display ( 3.0547e+12  -2.8492e+12)^.5

****** REDERIVE THIS TEST STATISTIC FROM THE T-STATISTIC (REMEMBER THAT THE F-STATISTIC IN A SINGLE HYPOTHESIS TEST IS THE SQUARE OF THE T-STATISTIC FROM THAT SINGLE HYPOTHESIS TEST)
display (2890.66-0)/169.7967
display ((2890.66-0)/169.7967)^2

****** REDERIVE THE P-VALUE FROM THIS TEST
display 1-F(1, 4023-4-1, ((2890.66-0)/169.7967)^2 )


****** TEST THAT THE COEFFICIENTS ON HIGHESTGRADE_FATHER AND HIGHESTGRADE_MOTHER ARE 0
regress pretaxlaborincome delinquency_1997 highestgrade highestgrade_father highestgrade_mother
test (highestgrade_father=0) (highestgrade_mother=0)
test (highestgrade_father=0) (highestgrade_mother=0) (highestgrade_father - highestgrade_mother=0)

****** REDERIVE THIS TEST STATISTIC USING SS RESIDUALS FROM REGRESSIONS
***** REGRESSION FOR 'RESTRICTED MODEL' (HIGHESTGRADE_FATHER AND HIGHESTGRADE_MOTHER DON'T APPEAR)
regress pretaxlaborincome delinquency_1997 highestgrade  

***** REGRESSION FOR 'UNRESTRICTED MODEL' (HIGHESTGRADE_FATHER AND HIGHESTGRADE_MOTHER DON'T APPEAR)
regress pretaxlaborincome delinquency_1997 highestgrade highestgrade_father highestgrade_mother
display ((2.8623e+12 - 2.8492e+12  )/2)/(2.8492e+12/(4023-4-1))

***** REDERIVE P-VALUE FROM THIS TEST
display Ftail(2,4023-4-1, ((2.8623e+12 - 2.8492e+12  )/2)/(2.8492e+12/(4023-4-1)) )

***** TEST THAT THE COEFFICIENTS ON HIGHESTGRADE_FATHER AND HIGHESTGRADE_MOTHER ARE THE SAME
test highestgrade_father=highestgrade_mother

***** TEST THAT THE COEFFICIENTS ON HIGHESTGRADE_FATHER AND HIGHESTGRADE_MOTHER ARE THE SAME AND THE COEFFICIENT ON HIGHEST GRADE IS 0
test (highestgrade_father=highestgrade_mother) (highestgrade=0)
