****** SECTION 8: STATA PRACTICE (8)
clear all
cd "C:\Users\colecp\Desktop\"
use "Economics 452 Fall 2015 NLSY97 Data Stata 13 Format.dta", clear

****** RANDOM VARIABLES IN STATA
set seed 12345

***** GENERATE A NEW VARIABLE WITH 'RANDOM' DRAWS FROM A NORMAL DISTRIBUTION WITH MEAN 0 AND STANDARD DEVIATION 3
generate randomnormal = rnormal(0,3)
summarize randomnormal
histogram randomnormal

***** GENERATE A SECOND RANDOM VARIABLE WITH 'RANDOM' DRAWS FROM A t DISTRIBUTION WITH 10 DEGREES OF FREEDOM
generate randomt = rt(10)

***** CORRELATE THE TWO RANDOM VARIABLES
correlate randomnormal randomt

***** RESET SEED AND GENERATE A NEW VARIABLE WITH 'RANDOM' DRAWS FROM A NORMAL DISTRIBUTION WITH MEAN 0 AND STANDARD DEVIATION 3
set seed 12345
generate randomnormal2 = rnormal(0,3)

***** CORRELATE THE TWO 'RANDOM' VARIABLES
correlate randomnormal randomnormal2


****** RUNNING FORVALUES LOOPS IN STATA
***** USE A 'FORVALUES' LOOP TO LIST THE NUMBERS 8-12 CONSECUTIVELY
forvalues i=8(1)12 {
display `i'
}

***** USE A 'FORVALUES' LOOP TO REGRESS PRE TAX LABOR INCOME ON ASVAB SCORE FOR 8TH-12TH GRADES SEPARATELY, AND SUMMARIZE ASVAB SCORES FOR EACH GRADE
bysort highestgrade: regress pretaxlaborincome asvabmathverbal
forvalues grade=8(1)12 {
display "Grade is `grade' "
regress pretaxlaborincome asvabmathverbal if highestgrade==`grade'
}

****** RUNNING FOREACH LOOPS IN STATA
***** USE A  FOREACH LOOP TO DISPLAY 'HELLO' AND 'WORLD' SEPARATELY
foreach var in "Hello" "World" {
display "`var'"
}

***** USE A FOREACH LOOP TO REGRESS PRETAXLABORINCOME ON HIGHEST GRADE AND ALSO ON ASVAB SCORE AND NUMBER OF CHILDREN SEPARATELY
foreach var in asvabmathverbal numberofchildren {
display "Covariate is `var'"
regress pretaxlaborincome highestgrade `var'
}

***** USE A FOREACH LOOP TO REGRESS REGRESS PRE TAX LABOR INCOME ON ASVAB SCORE FOR 8th, 12th AND 16th GRADES SEPARATELY, AND SUMMARIZE ASVAB SCORES FOR EACH GRADE
foreach i in 8 12 16 {
display "Highest Grade is `i'"
regress pretaxlaborincome asvabmathverbal if highestgrade==`i'
}

***** USE A FOREACH LOOP TO REGRESS REGRESS PRE TAX LABOR INCOME ON ASVAB SCORE FOR EVEN GRADES AND GRADE 17 SEPARATELY, AND SUMMARIZE ASVAB SCORES FOR EACH GRADE
foreach highgrade of numlist 6(2)20 17 {
display "Highest Grade is `highgrade'"
regress pretaxlaborincome asvabmathverbal if highestgrade==`highgrade'
}
