****** SECTION 8: STATA PRACTICE (8)

****** RANDOM VARIABLES IN STATA
set seed 12345

***** GENERATE A NEW VARIABLE WITH 'RANDOM' DRAWS FROM A NORMAL DISTRIBUTION WITH MEAN 0 AND STANDARD DEVIATION 3
gen randomnormal=rnormal(0,3)

***** GENERATE A SECOND RANDOM VARIABLE WITH 'RANDOM' DRAWS FROM A t DISTRIBUTION WITH 10 DEGREES OF FREEDOM
gen randomt=rt(10)

***** CORRELATE THE TWO RANDOM VARIABLES
correlate randomnormal randomt

***** RESET SEED AND GENERATE A NEW VARIABLE WITH 'RANDOM' DRAWS FROM A NORMAL DISTRIBUTION WITH MEAN 0 AND STANDARD DEVIATION 3
set seed 12345
gen randomnormal2=rnormal(0,3)

***** CORRELATE THE TWO 'RANDOM' VARIABLES
correlate randomnormal randomnormal2




****** RUNNING FORVALUES LOOPS IN STATA

***** USE A 'FORVALUES' LOOP TO LIST THE NUMBERS 8-12 CONSECUTIVELY
forvalues i=5(1)10 {
display `i'
display "Number = `i'"
}
***** USE A 'FORVALUES' LOOP TO REGRESS PRE TAX LABOR INCOME ON ASVAB SCORE FOR 8TH-12TH GRADES SEPARATELY, AND SUMMARIZE ASVAB SCORES FOR EACH GRADE
forvalues i=8(1)12 {
disp "Grade=`i'"
regress pretaxlaborincome asvabmathverbal_1999 if highestgrade==`i'
summarize asvabmathverbal_1999 if highestgrade==`i'
}


****** RUNNING FOREACH LOOPS IN STATA
***** USE A  FOREACH LOOP TO DISPLAY 'HELLO' AND 'WORLD' SEPARATELY
foreach var in "Hello" "World" {
disp "`var'"
}

***** USE A FOREACH LOOP TO REGRESS PRETAXLABORINCOME ON HIGHEST GRADE AND ALSO ON ASVAB SCORE AND NUMBER OF CHILDREN SEPARATELY
foreach var in asvab numberofchildren {
disp "Covariate is `var'"
reg pretaxlaborincome `var' highestgrade
}

***** USE A FOREACH LOOP TO REGRESS REGRESS PRE TAX LABOR INCOME ON ASVAB SCORE FOR 8th, 12th AND 16th GRADES SEPARATELY, AND SUMMARIZE ASVAB SCORES FOR EACH GRADE
foreach i in 8 12 16{
disp "Grade=`i'"
reg pretaxlaborincome asvabmathverbal_1999 if highestgrade==`i'
}

***** USE A FOREACH LOOP TO REGRESS REGRESS PRE TAX LABOR INCOME ON ASVAB SCORE FOR EVEN GRADES AND GRADE 17 SEPARATELY, AND SUMMARIZE ASVAB SCORES FOR EACH GRADE
foreach i of numlist  6(2)20 17  {
disp "Grade=`i'"
reg pretaxlaborincome asvabmathverbal_1999 if highestgrade==`i'
}

