****** SECTION 9: STATA PRACTICE (9)

****** THINKING ABOUT 95% CIs
***** MINI-MONTE CARLO EXAMPLE!

**** SET SEED
set seed 12345


*****START PROGRAM HERE
**** SET NUMBER OF OBSERVATIONS TO BE 1000

**** GENERATE A VECTOR X AS RANDOM STANDARD NORMAL

**** GENERATE A VECTOR EPSILON AS RANDOM NORMAL WITH MEAN 0 AND SD 4

**** GENERATE Y AS 2*x+epsilon

**** REGRESS Y ON X

**** CUT AND PASTE THE SIMULATION ABOVE INTO THE PROGRAM BELOW, WHICH WILL REPEAT IT 1000 TIMES



*** SETTING UP A MONTECARLO PROGRAM
program montecarlo

**** INSERT PROGRAM HERE!!

scalar ll95 =_b[x] -1.959964*_se[x]
scalar ul95 = _b[x] + 1.959964*_se[x]
end


**** RUN MONTE CARLO 

**** GENERATE A DUMMY VARIABLE DENOTING WHETHER OR NOT THE TRUE VALUE OF BETA1 IS BETWEEN THE 95% CONFIDENCE INTERVAL

**** CALCULATE MEAN OF THE DUMMY VARIABLE TO COMPUTE THE FRACTION OF TIMES BETA1 IS IN THE INTERVAL




****** THINKING ABOUT R2
***** OPEN DATASET

***** SET SEED

***** USE 'PRESERVE' COMMAND

***** SAMPLE 10% OF THE DATA (WITHOUT REPLACEMENT)
* NOTE - WE ARE JUST DOING THIS SO THAT WE HAVE A SMALLER DATASET

***** REGRESSS PRETAXLABORINCOME ON ASVAB AND HIGHESTGRADE

***** GENERATE A CHI2 VARIABLE WITH 10 DEGREES OF FREEDOM

***** USE 'RESTORE' COMMAND



****** INCLUDING SQUARES
***** REGRESS PRETAXLABORINCOME ON AGE AND HIGHESTGRADE

***** COMPUTE MARGINAL EFFECT OF AGE ON PRETAXLABORINCOME IF AGE=22 AND HIGHESTGRADE=16

***** COMPUTE MARGINAL EFFECT OF AGE ON PRETAXLABORINCOME IF AGE=23 AND HIGHESTGRADE=16
