****** SECTION 9: STATA PRACTICE (9)

****** THINKING ABOUT 95% CIs
***** MINI-MONTE CARLO EXAMPLE!

**** SET SEED
set seed 12345


*****START PROGRAM
**** SET NUMBER OF OBSERVATIONS TO BE 1000
clear
set obs 1000

**** GENERATE A VECTOR X AS RANDOM STANDARD NORMAL
generate x = rnormal()

**** GENERATE A VECTOR EPSILON AS RANDOM NORMAL WITH MEAN 0 AND SD 4
generate epsilon = rnormal(0,4)

**** GENERATE Y AS 2*x+epsilon
generate y=2*x+epsilon

**** REGRESS Y ON X
regress y x

**** CUT AND PASTE THE SIMULATION ABOVE INTO THE PROGRAM BELOW, WHICH WILL REPEAT IT 1000 TIMES


*** SETTING UP A MONTECARLO PROGRAM
program montecarlo

**** INSERT PROGRAM HERE!!

*****START PROGRAM
**** SET NUMBER OF OBSERVATIONS TO BE 1000
clear
set obs 1000

**** GENERATE A VECTOR X AS RANDOM STANDARD NORMAL
generate x = rnormal()

**** GENERATE A VECTOR EPSILON AS RANDOM NORMAL WITH MEAN 0 AND SD 4
generate epsilon = rnormal(0,4)

**** GENERATE Y AS 2*x+epsilon
generate y=2*x+epsilon

**** REGRESS Y ON X
regress y x

scalar ll95 =_b[x] -1.959964*_se[x]
scalar ul95 = _b[x] + 1.959964*_se[x]
end


**** RUN MONTE CARLO
simulate ll95=ll95 ul95=ul95, reps(1000): montecarlo 

**** GENERATE A DUMMY VARIABLE DENOTING WHETHER OR NOT THE TRUE VALUE OF BETA1 IS BETWEEN THE 95% CONFIDENCE INTERVAL
generate ininterval=(inrange(2, ll95, ul95))

**** CALCULATE MEAN OF THE DUMMY VARIABLE TO COMPUTE THE FRACTION OF TIMES BETA1 IS IN THE INTERVAL
mean ininterval




****** THINKING ABOUT R2
***** OPEN DATASET
use "/Users/Connor/Desktop/School/Michigan 2015/452/Economics 452 Fall 2015 NLSY97 Data Stata 13 Format.dta", clear



***** SET SEED
set seed 12345

***** USE 'PRESERVE' COMMAND
preserve

***** SAMPLE 10% OF THE DATA (WITHOUT REPLACEMENT)
***** NOTE - WE ARE JUST DOING THIS SO THAT WE HAVE A SMALLER DATASET
sample 10

***** REGRESSS PRETAXLABORINCOME ON ASVAB AND HIGHESTGRADE
reg pretaxlaborincome asvabmathverbal_1999 highestgrade

***** GENERATE A CHI2 VARIABLE WITH 10 DEGREES OF FREEDOM
gen rchi2 = rchi2(10)
reg pretaxlaborincome asvabmathverbal_1999 highestgrade rchi2
*%%% CONSIDER THE R2 FROM THE REGRESSIONS

***** USE 'RESTORE' COMMAND
restore



****** INCLUDING SQUARES
***** REGRESS PRETAXLABORINCOME ON AGE AND HIGHESTGRADE
regress pretaxlaborincome age highestgrade

***** COMPUTE MARGINAL EFFECT OF AGE ON PRETAXLABORINCOME IF AGE=22 AND HIGHESTGRADE=16
margins, dydx(age) at(age=22 highestgrade=16)

***** COMPUTE MARGINAL EFFECT OF AGE ON PRETAXLABORINCOME IF AGE=23 AND HIGHESTGRADE=16
margins, dydx(age) at(age=23 highestgrade=16)
